.activity {
    padding-top: rem(40);
    padding-bottom: rem(10);
    background: rgba(241, 245, 247, 0.7) url("../img/activity_bg.webp") 50% 50% no-repeat;
    background-size: cover;

    &__heading {

        &--glazing {
            margin-bottom: rem(9);
        }

        &--finishing {
            margin-bottom: rem(12);
        }
    }

    &__title {
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(23);
        text-align: center;
        margin-bottom: rem(2);

        &--md {
            display: none;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(70);
        padding-bottom: rem(50);

        &__heading {

            &--balcony {
                margin-bottom: rem(58);
            }

            &--finishing {
                margin-bottom: rem(8);
            }
        }

        &__title {
            margin-bottom: rem(22);

            &--sm {
                display: none;
            }

            &--md {
                display: block;
                margin-bottom: 32px;
            }
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        padding-top: rem(110);
        padding-bottom: rem(90);

        &__heading{

            &--finishing {
                margin-bottom: rem(14);
            }
        }
    }
}

.activity-balcony {
    margin-bottom: rem(32);

    &__media {
        position: relative;
        margin-bottom: rem(22);
    }

    &__slider {

    }

    &__item  {
        text-align: center;
    }

    &__title {
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(17);
    }

    &__heading {

    }

    &__price {
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(23);
    }

    &__nav {
        margin: 0;
        padding: 0;
        list-style: none;
        text-align: center;

        li {

            &:not(:last-child) {
                margin-bottom: rem(15);
            }
        }
    }

    &__button {
        color: $dark;
        border: none;
        outline: none;
        cursor: pointer;
        text-align: center;
        padding: 0 rem(28);
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(22);
        text-decoration: none;
        background: transparent;
        display: inline-block;

        &:hover {
         //   color: $blue;
            text-decoration: none;
        }

        &.active {
            color: $white;
            background: $blue;
            border-radius: 20px;
            padding: rem(8) rem(28);
        }
    }

    &__info {
        display: block;
        font-weight: 500;
        font-size: rem(9);
        line-height: rem(16);
    }

    &__footer {
        text-align: center;
        padding-top: rem(15);

        .btn {
            width: 100%;
        }
    }

    &__switcher {
        z-index: 20;
        top: calc(50% - 20px);
        position: absolute;

        &--prev {
            left: rem(-6);
        }

        &--next {
            right: rem(-6);
        }
    }

    &--inverse {
        display: flex;
        flex-direction: column;

        .activity-balcony {

            &__nav {
                order: 1;
                margin-bottom: rem(15);
            }

            &__media {
                order: 2;
                margin-bottom: 0;
            }

            &__footer {
                order: 3;
            }

            &__switcher {
                top: auto;
                bottom: rem(2);
            }

            &__button {

                &.active {
                    background: $green;
                }
            }
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(64);

        &__title {
            font-size: rem(16);
            line-height: rem(20);
            margin-bottom: rem(6);
        }

        &__price {
            font-size: rem(30);
            line-height: rem(40);
        }

        &__nav {
            display: flex;
            align-items: flex-start;
            justify-content: center;

            li {
                margin: 0;
            }
        }

        &__button {
            padding: rem(8) rem(28);
        }

        &__footer {
            padding-top: rem(24);

            .btn {
                width: auto;
                min-width: rem(282);
            }
        }

        &__slider {
            margin: 0 auto;
            width: rem(580);
        }

        &__switcher {
            top: calc(50% - 72px);

            &--prev {
                left: 0;
            }

            &--next {
                right: 0;
            }
        }

        &__media {
            margin-bottom: rem(18);
        }
    }

    @include media-breakpoint-up(lg) {

        &__slider {
            width: rem(718);
        }
    }

    @include media-breakpoint-up(xl) {

        &__slider {
            width: rem(928);
        }

        &__image {
            margin-bottom: rem(32);
        }

        &__button {
            font-size: rem(20);
            line-height: rem(26);
            border-radius: 25px;
            padding: rem(12) rem(25);

            &.active {
                border-radius: 25px;
                padding: rem(12) rem(25);
            }
        }

        &__info {
            padding-top: rem(4);
            font-size: rem(12);
            line-height: rem(16);
        }

        &__switcher {
            top: calc(50% - 80px);
        }

        &__footer {

        }

        &--inverse {

            .activity-balcony {

                &__nav {
                    order: 2;
                    margin-bottom: 0;
                }

                &__media {
                    order: 1;
                    margin-bottom: rem(18);
                }

                &__footer {
                    order: 3;
                }

                &__switcher {
                    top: calc(50% - 80px);
                    bottom: auto;
                }
            }
        }
    }
}

.activity-external {
    background: $white;
    margin-bottom: rem(40);
    display: grid;
    grid-row-gap: rem(18);
    grid-column-gap: rem(30);
    grid-template-columns: 1fr;

    &__item {
        overflow: hidden;
        border-radius: 8px;
        box-shadow: 5px 15px 15px rgba(0, 0, 0, 0.05);
    }

    &__content {
        font-size: rem(9);
        line-height: rem(12);
        padding: rem(20);
    }

    &__title {
        font-weight: 700;
        margin-bottom: rem(4);
    }

    &__text {
        font-weight: 500;
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
        margin-bottom: rem(76);

        &__content {
            font-size: rem(12);
            line-height: rem(18);
            padding: rem(20);
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            display: flex;
        }

        &__media {
            width: rem(271);
            min-height: rem(247);
            flex-shrink: 0;

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }

        &__content {
            flex-grow: 1;
        }
    }
}

.activity-internal {
    position: relative;
    margin: 0 rem(-15);

    .swiper-slide {
       padding: rem(10) rem(15) rem(30) rem(15)
    }

    &__item {
        display: block;
        border-radius: 8px;
        overflow: hidden;
        filter: drop-shadow(5px 15px 15px rgba(0, 0, 0, 0.05));
    }

    &__nav {
        z-index: 20;
        top: calc(50% - 33px);
        position: absolute;

        &--prev {
            left: rem(15);
        }

        &--next {
            right: rem(15);
        }
    }


    @include media-breakpoint-up(lg) {

        &__nav {
            display: none;
        }
    }
}
